fd0ssh(1)

Name
fd0ssh — pipe for password-over-stdin support to ssh

Syntax
fd0ssh mount_command

Description
This is a wrapper for ssh which reads the password from stdin and sets things up so that ssh will recall the wrapper to get the password, which will be read from the parent process using a pipe.

It is used by pam_mount(8) to mount SSH-based filesystems, such as ccgfs and sshfs.

See also
hxtools(7)

Idea by John S. Skogtvedt, http://www.debian-administration.org/articles/587